Package Details: fsl 6.0.1-2

Git Clone URL: https://aur.archlinux.org/fsl.git (read-only)
Package Base: fsl
Description: A comprehensive library of analysis tools for FMRI, MRI and DTI brain imaging data
Upstream URL: http://www.fmrib.ox.ac.uk/fsl/
Licenses: custom
Submitter: fishburn
Maintainer: tobac
Last Packager: tobac
Votes: 9
Popularity: 0.000813
First Submitted: 2012-07-02 23:36
Last Updated: 2019-03-23 10:16

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 Next › Last »

fishburn commented on 2018-05-02 21:21

@tobac There appear to be some key files missing (imcp, etc). The build succeeds but then the check fails. I tried joining the FSL mailing list to let them know, but haven't had any luck getting on there.

tobac commented on 2018-05-02 17:24

Is there a reason you won't bump to 5.0.11?

fishburn commented on 2018-04-16 17:26

@dvogel @jnvandermeer @hottea

Build is working for me with only VTK 6 installed. The headers for VTK 6 are located in /opt/vtk6/include/vtk/. This is the path that I have specified in the externallibs.mk file that I have included in the package. My current thinking is that my .mk files weren't getting copied over for some people, so I have modified the PKGBUILD to hopefully remedy this.

Please let me know if you still get errors and what they are. Thanks.

hottea commented on 2018-04-16 11:17

@jnvandermeer Yeah, I think it relates to a VTK versioning issue. If you look at the fsl/config/linux_64-gcc4.8/externallibs.mk, you could see:

VTKDIR_INC = /home/fs0/cowboy/var/caper_linux_64-gcc4.4/VTK7/include/vtk-7.0
VTKDIR_LIB = /home/fs0/cowboy/var/caper_linux_64-gcc4.4/VTK7/lib
VTKSUFFIX = -7.0

It might suggest that fsl needs vtk 7, so I installed vtk 7 from Arch Linux Archive, and then built fsl. It works great. Maybe one could upload a PKGBUILD for package vtk7?

jnvandermeer commented on 2018-02-05 10:43

For me the build hangs with a to my eyes rather arcane "undefined reference to `vtkDataArrayTemplate" error. It looks like a VTK versioning issue, but I haven't spent a lot of time on it yet.

Regarding the space issue mentioned before - yaourt in the initial settings uses /tmp, and that mayb possibly be within memory. To deal with compiling FSL you'd have to make sure that yaourt uses a directory on your harddrive (and that there's enough space).

fishburn commented on 2018-01-27 13:14

@MonsieurWave, my guess would be that you're running out of disk space or don't have permission to write to the build directory.

MonsieurWave commented on 2018-01-27 13:11

Hey Fishburn, Thanks for your work! can't get the package to build tough, it is always failing with "Write failed" errors on numerous files resulting in :

bsdtar: Error exit delayed from previous errors. ==> ERROR: Failed to extract fsl-5.0.10-feeds.tar.gz Aborting... ==> ERROR: Makepkg was unable to build fsl.

Any idea on how to fix this?

dvogel commented on 2018-01-11 12:51

Hey Fishburn, thanks for the package. I had issues building the package, however found fixes: - rebuilt newmat with -fPIC in CCFLAGS (solves linking issues, suggested in build.log) - changed include directories in externallibs.mk to vtk8 since vtk headers were not found with vtk6 (even though the latter is installed).

For now I only tested bet with this build.

fishburn commented on 2017-11-26 05:46

I updated the checksums, bumped the pkgver (since I don't know what changed since the checksums changed), and got it building again.

@rafaqzsu
@AKSoo
@jnvandermeer
Would appreciate if you could verify its working on your end.

rafaqzsu commented on 2017-11-24 05:12

Still broken

==> Validating source files with sha1sums...
fsl-5.0.10-sources.tar.gz ... FAILED
fsl-5.0.10-feeds.tar.gz ... FAILED
systemvars.mk ... Passed
externallibs.mk ... Passed
fsl_exec.patch ... Passed
==> ERROR: One or more files did not pass the validity check!